# IGListExperiment Enumeration Reference

# IGListExperiment

Objective-C

    enum IGListExperiment : NSInteger {}

Swift

    struct IGListExperiment : OptionSet, @unchecked Sendable

Bitmask-able options used for pre-release feature testing.

- `IGListExperimentNone`

  Specifies no experiments.

  #### Declaration

  Objective-C

      IGListExperimentNone = 1 << 1

  Swift

      static var none: IGListExperiment { get }

- `IGListExperimentInvalidateLayoutForUpdates`

  Test invalidating layout when cell reloads/updates in IGListBindingSectionController.

  #### Declaration

  Objective-C

      IGListExperimentInvalidateLayoutForUpdates = 1 << 2

  Swift

      static var invalidateLayoutForUpdates: IGListExperiment { get }

- `IGListExperimentThrowOnInconsistencyException`

  Throw NSInternalInconsistencyException during an update

  #### Declaration

  Objective-C

      IGListExperimentThrowOnInconsistencyException = 1 << 3

  Swift

      static var throwOnInconsistencyException: IGListExperiment { get }

- `IGListExperimentKeepPointerToCollectionViewDataSource`

  Test keeping a strong pointer to the collectionView.dataSource during a batch update to avoid a crash

  #### Declaration

  Objective-C

      IGListExperimentKeepPointerToCollectionViewDataSource = 1 << 4

  Swift

      static var keepPointerToCollectionViewDataSource: IGListExperiment { get }

- `IGListExperimentDisableAnimationOnUpdates`

  Test keeping disable all animation on updates

  #### Declaration

  Objective-C

      IGListExperimentDisableAnimationOnUpdates = 1 << 5

  Swift

      static var disableAnimationOnUpdates: IGListExperiment { get }

© 2024 Instagram. All rights reserved. (Last updated: 2024-05-13)

Generated by jazzy ♪♫ v0.15.0, a Realm project.